using System;
using System.Reflection;

namespace WpfApplication19
{
    static class ApplicationAttributes
    {
        static readonly AssemblyCompanyAttribute smCompany = null;
        static readonly AssemblyProductAttribute smProduct = null;

        public static string CompanyName { get; private set; }
        public static string ProductName { get; private set; }

        static ApplicationAttributes()
        {
            CompanyName = String.Empty;
            ProductName = String.Empty;

            Assembly assembly = Assembly.GetEntryAssembly();

            if (assembly != null)
            {
                object[] attributes = assembly.GetCustomAttributes(false);

                foreach (object attribute in attributes)
                {
                    Type type = attribute.GetType();

                    if (type == typeof(AssemblyCompanyAttribute))
                        smCompany = (AssemblyCompanyAttribute)attribute;

                    if (type == typeof(AssemblyProductAttribute))
                        smProduct = (AssemblyProductAttribute)attribute;
                }
            }

            if (smCompany != null) CompanyName = smCompany.Company;
            if (smProduct != null) ProductName = smProduct.Product;
        }
    }
}